Subject: Re: bug#65111: GnuCash cannot get online quotes

From: Maxim Cournoyer <[email-masked]>
Date: Mon, 07 Aug 2023 10:38:02 -0400

Hello,

Altadil via Bug reports for GNU Guix <[email-masked]> writes:

> Hi,
>
> GnuCash 5.3, as packaged in Guix, cannot access quote sources. When
> adding a new security, it displays "Warning: Finance::Quote not
> installed properly." and the "Get Online Quotes" checkbox is greyed
> out.
>
> I am on an up-to-date Guix System and the rest of GnuCash seems to be working fine.
>
> It seems the package perl-finance-quote was not automatically
> installed with gnucash, so I installed it. I then tried to follow the
> steps in the upstream
> doc: https://www.gnucash.org/docs/v4/C/gnucash-help/finance-quote-install.html
> But it did not change the result.
>
> The flatpak version of GnuCash from flathub.org (also 5.3) appears to
> be working (on the same Guix System).

If other distributions of GnuCash commonly ship with the necessary Perl
modules necessary for this feature to work, perhaps we should too?  It
could be done by wrapping the GnuCash binary with the Perl search path
(PERL5LIB, I reckon).

Would you like to give it a try?

-- 
Thanks,
Maxim